GET Order details
Returns the current state of one order.
Both a signed-in customer app and a webhook consumer use this endpoint. A customer app sends the customer's Authorization token; a server receiving order status webhooks sends its X-API-Authorization OAuth token instead.
Prefer order status webhooks over polling this endpoint on a timer.
Path Parameters
- Type: stringFormat: uuidorder
_uuid requiredOrder uuid
Headers
- Type: stringX
- Request - I D requiredUnique request identifier
- Type: stringA
P I - Version requiredApi version
- Type: stringAcceptrequired
Accept header
- Type: stringApplicationrequired
Application key
- Type: stringX
- A P I - Authorization M2M authorization token
- Type: stringContent
- Language requiredLocal language code (in format xx-XX, or simpler xx) for translation purposes
Responses
- application/json
Request Example for get/orders/{order_uuid}
curl https://api-public-demo.menu.app/api/orders/2fac6c6d-0297-47bf-9153-55da00bffc08 \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'API-Version: 4.31.0' \
--header 'Accept: application/json' \
--header 'Application: ' \
--header 'Content-Language: en'
{
"status": "OK",
"code": 200,
"data": {
"order": {
"id": "a823c634-6300-4f43-b536-8f1a183d568c",
"code": "BQIXC",
"uuid": "a823c634-6300-4f43-b536-8f1a183d568c",
"init_hash": "5e6af1f1d4106e5221b181864bedb149",
"external_reference": "string",
"external_code": "string",
"external_channel_id": "string",
"ticket_id": "4a70a67b-b8d1-44b2-9ce4-e2fa6225a8d0",
"venue_id": "b8baafab-3f22-11ed-936c-1a67b454859d",
"pos_ticket_id": "\"\"",
"pos_ticket_code": "\"\"",
"customer_account_info": {
"id": "6735e303-50a1-4887-9b11-915a6919cc66",
"email": "john.doe@partech.com",
"state": 1,
"locale": "en",
"type_id": 2,
"brand_id": "ea3c2a24-6210-40b3-84ef-447ee9d471b9",
"last_name": "Doe",
"first_name": "John",
"phone_number": "+3811111111",
"discount_cards": [
{}
],
"reference_type": "CustomerAccount",
"optin_status_pn": 3,
"optin_status_sms": 3,
"optin_status_email": 3
},
"order_type": 4,
"order_type_properties": {
"type_id": 4,
"pickup_at": "order pickup at time",
"pickup_asap": true,
"customer_phone_number": "+3811111111"
},
"order_additional_info": {},
"status": "SendDelayed",
"payment_status": "Reserved",
"fraud_detection_status": "string",
"delivery_status": "string",
"calculation_method": "string",
"subtotal": 17692,
"discount": 0,
"subsidy": 0,
"discount_info": "string",
"service_charge": 0,
"service_charge_rate": 0,
"service_charge_tax_rate": 0,
"delivery_fee_tax_rate": 0,
"delivery_fee": 0,
"delivery_fee_tax": 0,
"minimal_order_amount": 0,
"minimum_surcharge": 0,
"minimum_surcharge_tax": 0,
"tip": 0,
"tip_rate": 0,
"total": 17692,
"tax": 842,
"tax_exemption": 0,
"tax_rates": {
"5": 842
},
"tax_rates_exemption": {
"5": 0
},
"order_items": [
{
"type_id": 1,
"menu_item_id": "19a394da-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"unpaid_item_hash": "string",
"name": "Làpana Bowl",
"translations": {
"name": "Cuenco de lapana,"
},
"type": "Food",
"is_self_serving": true,
"quantity": 1,
"subtotal": 1999,
"discount": 0,
"service_charge": 0,
"total": 1999,
"tax": 95,
"tax_rate": 5,
"comment": "test comment",
"price_level": {
"menu_item_price_level_id": "0ffb254c-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"name": "string",
"translations": {
"name": "string"
},
"price": 0
},
"modifiers": [
{
"modifier_id": "2049c354-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"name": "Organic Wild Rice",
"translations": {
"name": "Arroz Salvaje Ecológico"
},
"price": 0
}
],
"image": {
"thumbnail_small": "/storage/images/item_images/_thumbs280/2021-09-08/233451fe2256b3acf14ee5288e1b7dd0.png",
"thumbnail_medium": "/storage/images/item_images/_thumbs720/2021-09-08/233451fe2256b3acf14ee5288e1b7dd0.png",
"fullsize": "/storage/images/item_images/2021-09-08/233451fe2256b3acf14ee5288e1b7dd0.png"
}
}
],
"combo_meals": [
{
"type_id": 1,
"combo_meal_id": "04abaf54-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"name": "Acai Bowl Early Nene-nui Combo",
"custom_name": "Acai Bowl Early Nene-nui Combo",
"translations": {
"name": "Combo Cuenco Nene-nui Temprano con Acai",
"custom_name": "WCombo Cuenco Nene-nui Temprano con Acai"
},
"quantity": 1,
"subtotal": 2599,
"discount": 0,
"service_charge": 0,
"total": 2599,
"tax": 124,
"tax_rates": {
"5": 124
},
"items": [
{
"type_id": 3,
"menu_item_id": "19a394da-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"unpaid_item_hash": "string",
"name": "Làpana Bowl ",
"translations": {
"name": "Làpana Bowl "
},
"type": "Food",
"is_self_serving": true,
"quantity": 1,
"subtotal": 2599,
"discount": 0,
"service_charge": 0,
"total": 2599,
"tax": 124,
"tax_rate": 5,
"comment": "test comment combo item 1",
"price_level": {
"menu_item_price_level_id": "0ffb254c-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"name": "string",
"translations": {
"name": "string"
},
"price": 2599
},
"modifiers": [
{
"modifier_id": "2049c354-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"name": "Organic Wild Rice",
"translations": {
"name": "Arroz Salvaje Ecológico"
},
"price": 0
}
],
"image": {
"thumbnail_small": "/storage/images/combo_item_images/_thumbs280/2021-09-08/6fd364994648905d3a74b3f05c299b42.png",
"thumbnail_medium": "/storage/images/combo_item_images/_thumbs720/2021-09-08/6fd364994648905d3a74b3f05c299b42.png",
"fullsize": "/storage/images/combo_item_images/2021-09-08/6fd364994648905d3a74b3f05c299b42.png"
},
"combo_group": {
"combo_group_id": "c1d5cd5e-3f22-11ed-936c-1a67b454859d",
"type_id": 1,
"pos_id": "\"\"",
"name": "Combo group",
"translations": {
"name": "Combo group"
}
}
}
],
"image": {
"thumbnail_small": "/storage/images/combo_item_images/_thumbs280/2021-09-08/6fd364994648905d3a74b3f05c299b42.png",
"thumbnail_medium": "/storage/images/combo_item_images/_thumbs720/2021-09-08/6fd364994648905d3a74b3f05c299b42.png",
"fullsize": "/storage/images/combo_item_images/2021-09-08/6fd364994648905d3a74b3f05c299b42.png"
}
}
],
"discounts": [
{}
],
"send_at": "2023-07-28 12:51:34",
"pickup_at": "2023-07-28 12:52:44",
"pickup_code": "string",
"ready_at": "string",
"delivery_at": "string",
"additional_delivery_info": "string",
"arriving_at": "2023-07-28 12:52:44",
"regret_cancel_until": "2023-07-28 12:51:34",
"created_at": "2023-07-28 12:50:44"
}
}
}